| OpenMS 2.5.0

MetaProSIP

Performs proteinSIP on peptide features for elemental flux analysis.

The command line parameters of this tool are:

    MetaProSIP -- Performs proteinSIP on peptide features for elemental flux analysis.

    Full documentation: http://www.openms.de/documentation/UTILS_MetaProSIP.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      MetaProSIP <options>

    Options (mandatory options marked with '*'):

      -in_mzML <file>*                  Centroided MS1 data (valid formats: 'mzML')

      -in_fasta <file>*                 Protein sequence database (valid formats: 'fasta')

      -out_csv <file>*                  Column separated file with feature fitting result. (valid formats: 'csv')

      -out_peptide_centric_csv <file>*  Column separated file with peptide centric result. (valid formats: 'csv')

      -in_featureXML <file>*            Feature data annotated with identifications (IDMapper) (valid formats:

                                        'featureXML')

      -r_executable <file>              Path to the R executable (default: 'R')

      -mz_tolerance_ppm <tol>           Tolerance in ppm (default: '10.0')

      -rt_tolerance_s <tol>             Rolerance window around feature rt for XIC extraction (default: '30.0')

      -intensity_threshold <tol>        Intensity threshold to collect peaks in the MS1 spectrum. (default: '10.0

                                        ')

      -correlation_threshold <tol>      Correlation threshold for reporting a RIA (default: '0.7')

      -xic_threshold <tol>              Minimum correlation to mono-isotopic peak for retaining a higher isotopic

                                        peak. If featureXML from reference file is used it should be disabled

                                        (set to -1) as no mono-isotopic peak is expected to be present. (default:

                                        '0.7')

      -decomposition_threshold <tol>    Minimum R-squared of decomposition that must be achieved for a peptide

                                        to be reported. (default: '0.7')

      -weight_merge_window <tol>        Decomposition coefficients within +- this rate window will be combined

                                        (default: '5.0')

      -plot_extension <extension>       Extension used for plots (png|svg|pdf). (default: 'png' valid: 'png',

                                        'svg', 'pdf')

      -qc_output_directory <directory>  Output directory for the quality report

      -labeling_element <parameter>     Which element (single letter code) is labeled. (default: 'C' valid: 'C',

                                        'N', 'H', 'O')

      -use_unassigned_ids               Include identifications not assigned to a feature in pattern detection.

      -use_averagine_ids                Use averagine peptides as model to perform pattern detection on unidentif

                                        ied peptides.

      -report_natural_peptides          Whether purely natural peptides are reported in the quality report.

      -filter_monoisotopic              Try to filter out mono-isotopic patterns to improve detection of low RIA

                                        patterns

      -cluster                          Perform grouping

    Common UTIL options:

      -ini <file>                       Use the given TOPP INI file

      -threads <n>                      Sets the number of threads allowed to be used by the TOPP tool (default:

                                        '1')

      -write_ini <file>                 Writes the default configuration file

      --help                            Shows options

      --helphelp                        Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MetaProSIP Performs proteinSIP on peptide features for elemental flux analysis.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MetaProSIP'
in_mzML Centroided MS1 data input file*.mzML
in_fasta Protein sequence database input file*.fasta
out_csv Column separated file with feature fitting result.output file*.csv
out_peptide_centric_csv Column separated file with peptide centric result.output file*.csv
in_featureXML Feature data annotated with identifications (IDMapper)input file*.featureXML
r_executable R Path to the R executable (default: 'R')input file
mz_tolerance_ppm 10.0 Tolerance in ppm
rt_tolerance_s 30.0 Rolerance window around feature rt for XIC extraction
intensity_threshold 10.0 Intensity threshold to collect peaks in the MS1 spectrum.
correlation_threshold 0.7 Correlation threshold for reporting a RIA
xic_threshold 0.7 Minimum correlation to mono-isotopic peak for retaining a higher isotopic peak. If featureXML from reference file is used it should be disabled (set to -1) as no mono-isotopic peak is expected to be present.
decomposition_threshold 0.7 Minimum R-squared of decomposition that must be achieved for a peptide to be reported.
weight_merge_window 5.0 Decomposition coefficients within +- this rate window will be combined
min_correlation_distance_to_averagine-1.0 Minimum difference in correlation between incorporation pattern and averagine pattern. Positive values filter all RIAs passing the correlation threshold but that also show a better correlation to an averagine peptide. Disabled for values <= -1
pattern_15N_TIC_threshold 0.95 The most intense peaks of the theoretical pattern contributing to at least this TIC fraction are taken into account.
pattern_13C_TIC_threshold 0.95 The most intense peaks of the theoretical pattern contributing to at least this TIC fraction are taken into account.
pattern_2H_TIC_threshold 0.95 The most intense peaks of the theoretical pattern contributing to at least this TIC fraction are taken into account.
pattern_18O_TIC_threshold 0.95 The most intense peaks of the theoretical pattern contributing to at least this TIC fraction are taken into account.
heatmap_bins 20 Number of RIA bins for heat map generation.
plot_extension png Extension used for plots (png|svg|pdf).png,svg,pdf
qc_output_directory Output directory for the quality report
labeling_element C Which element (single letter code) is labeled.C,N,H,O
use_unassigned_ids false Include identifications not assigned to a feature in pattern detection.true,false
use_averagine_ids false Use averagine peptides as model to perform pattern detection on unidentified peptides.true,false
report_natural_peptides false Whether purely natural peptides are reported in the quality report.true,false
filter_monoisotopic false Try to filter out mono-isotopic patterns to improve detection of low RIA patterns true,false
cluster false Perform grouping true,false
observed_peak_fraction 0.5 Fraction of observed/expected peaks.
min_consecutive_isotopes 2 Minimum number of consecutive isotopic intensities needed.
score_plot_yaxis_min 0.0 The minimum value of the score axis. Values smaller than zero usually only make sense if the observed peak fraction is set to 0.
collect_method correlation_maximum How RIAs are collected.correlation_maximum,decomposition_maximum
lowRIA_correlation_threshold-1.0 Correlation threshold for reporting low RIA patterns. Disable and take correlation_threshold value for negative values.
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false